Interface BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
- All Superinterfaces:
org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver
- All Known Subinterfaces:
BlobEndpointBuilderFactory.BlobEndpointBuilder
- Enclosing interface:
BlobEndpointBuilderFactory
public static interface BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
extends org.apache.camel.builder.EndpointConsumerBuilder
Builder for endpoint consumers for the Azure Storage Blob Service component.
-
Method Summary
Modifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.advanced()azureClientId(String azureClientId) Azure Client ID for authentication with Azure Identity.azureClientSecret(String azureClientSecret) Azure Client Secret for authentication with Azure Identity.azureTenantId(String azureTenantId) Azure Tenant ID for authentication with Azure Identity.backoffErrorThreshold(int backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in.backoffErrorThreshold(String backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in.backoffIdleThreshold(int backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in.backoffIdleThreshold(String backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in.backoffMultiplier(int backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row.backoffMultiplier(String backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row.The blob name, to consume specific blob from a container.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentialType(String credentialType) Determines the credential strategy to adopt.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.delay(long delay) Milliseconds before the next poll.Milliseconds before the next poll.deleteAfterRead(boolean deleteAfterRead) Delete blobs from Azure after they have been retrieved.deleteAfterRead(String deleteAfterRead) Delete blobs from Azure after they have been retrieved.destinationBlobPrefix(String destinationBlobPrefix) Define the destination blob prefix to use when a blob must be moved, and moveAfterRead is set to true.destinationBlobSuffix(String destinationBlobSuffix) Define the destination blob suffix to use when a blob must be moved, and moveAfterRead is set to true.destinationContainer(String destinationContainer) Define the destination container where a blob must be moved when moveAfterRead is set to true.The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.greedy(boolean greedy) If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages.If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages.initialDelay(long initialDelay) Milliseconds before the first poll starts.initialDelay(String initialDelay) Milliseconds before the first poll starts.leaseBlob(boolean leaseBlob) Sets whether a lease should be acquired when accessing the blob.Sets whether a lease should be acquired when accessing the blob.leaseDurationInSeconds(Integer leaseDurationInSeconds) Sets the lease duration in seconds.leaseDurationInSeconds(String leaseDurationInSeconds) Sets the lease duration in seconds.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.moveAfterRead(boolean moveAfterRead) Move blobs from the container to a different container after they have been retrieved.moveAfterRead(String moveAfterRead) Move blobs from the container to a different container after they have been retrieved.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.removePrefixOnMove(boolean removePrefixOnMove) Remove the contents of the prefix configuration string from the new blob name before moving.removePrefixOnMove(String removePrefixOnMove) Remove the contents of the prefix configuration string from the new blob name before moving.repeatCount(long repeatCount) Specifies a maximum limit of number of fires.repeatCount(String repeatCount) Specifies a maximum limit of number of fires.runLoggingLevel(String runLoggingLevel) The consumer logs a start/complete log line when it polls.runLoggingLevel(org.apache.camel.LoggingLevel runLoggingLevel) The consumer logs a start/complete log line when it polls.In case of usage of Shared Access Signature we'll need to set a SAS Token.scheduledExecutorService(String scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer.scheduledExecutorService(ScheduledExecutorService scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer.To use a cron scheduler from either camel-spring or camel-quartz component.To use a cron scheduler from either camel-spring or camel-quartz component.schedulerProperties(String key, Object value) To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler.schedulerProperties(Map values) To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler.sendEmptyMessageWhenIdle(boolean sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead.sendEmptyMessageWhenIdle(String sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.serviceClient(String serviceClient) Client to a storage account.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.startScheduler(boolean startScheduler) Whether the scheduler should be auto started.startScheduler(String startScheduler) Whether the scheduler should be auto started.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.Time unit for initialDelay and delay options.Time unit for initialDelay and delay options.useFixedDelay(boolean useFixedDelay) Controls if fixed delay or fixed rate is used.useFixedDelay(String useFixedDelay) Controls if fixed delay or fixed rate is used.Methods inherited from interface org.apache.camel.builder.EndpointConsumerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUriMethods inherited from interface org.apache.camel.EndpointConsumerResolver
resolve, resolve
-
Method Details
-
advanced
-
blobName
The blob name, to consume specific blob from a container. However, on producer it is only required for the operations on the blob level. The option is a:java.lang.Stringtype. Group: common- Parameters:
blobName- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option is a:longtype. Default: 0 Group: common- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option will be converted to alongtype. Default: 0 Group: common- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobServiceClient
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option is a:com.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobServiceClient
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(String blobServiceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option will be converted to acom.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobType
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type. The option is a:org.apache.camel.component.azure.storage.blob.BlobTypetype. Default: blockblob Group: common- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
blobType
The blob type in order to initiate the appropriate settings for each blob type. The option will be converted to aorg.apache.camel.component.azure.storage.blob.BlobTypetype. Default: blockblob Group: common- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option is a:booleantype. Default: true Group: common- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option will be converted to abooleantype. Default: true Group: common- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
credentials
StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information. The option will be converted to acom.azure.storage.common.StorageSharedKeyCredentialtype. Group: common- Parameters:
credentials- the value to set- Returns:
- the dsl builder
-
credentialType
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt. The option is a:org.apache.camel.component.azure.storage.blob.CredentialTypetype. Default: AZURE_IDENTITY Group: common- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
credentialType
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentialType(String credentialType) Determines the credential strategy to adopt. The option will be converted to aorg.apache.camel.component.azure.storage.blob.CredentialTypetype. Default: AZURE_IDENTITY Group: common- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option is a:java.lang.Longtype. Group: common- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option will be converted to ajava.lang.Longtype. Group: common- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
fileDir
The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer. The option is a:java.lang.Stringtype. Group: common- Parameters:
fileDir- the value to set- Returns:
- the dsl builder
-
leaseBlob
Sets whether a lease should be acquired when accessing the blob. When set to true, the component will acquire a lease before performing blob operations that require exclusive access. The option is a:booleantype. Default: false Group: common- Parameters:
leaseBlob- the value to set- Returns:
- the dsl builder
-
leaseBlob
Sets whether a lease should be acquired when accessing the blob. When set to true, the component will acquire a lease before performing blob operations that require exclusive access. The option will be converted to abooleantype. Default: false Group: common- Parameters:
leaseBlob- the value to set- Returns:
- the dsl builder
-
leaseDurationInSeconds
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder leaseDurationInSeconds(Integer leaseDurationInSeconds) Sets the lease duration in seconds. Use -1 for infinite or a value between 15 and 60 for fixed leases. The option is a:java.lang.Integertype. Default: 60 Group: common- Parameters:
leaseDurationInSeconds- the value to set- Returns:
- the dsl builder
-
leaseDurationInSeconds
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder leaseDurationInSeconds(String leaseDurationInSeconds) Sets the lease duration in seconds. Use -1 for infinite or a value between 15 and 60 for fixed leases. The option will be converted to ajava.lang.Integertype. Default: 60 Group: common- Parameters:
leaseDurationInSeconds- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option is a:java.lang.Integertype. Group: common- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option will be converted to ajava.lang.Integertype. Group: common- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option is a:inttype. Default: 0 Group: common- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option will be converted to ainttype. Default: 0 Group: common- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
prefix
Filters the results to return only blobs whose names begin with the specified prefix. May be null to return all blobs. The option is a:java.lang.Stringtype. Group: common- Parameters:
prefix- the value to set- Returns:
- the dsl builder
-
regex
Filters the results to return only blobs whose names match the specified regular expression. May be null to return all if both prefix and regex are set, regex takes the priority and prefix is ignored. The option is a:java.lang.Stringtype. Group: common- Parameters:
regex- the value to set- Returns:
- the dsl builder
-
sasToken
In case of usage of Shared Access Signature we'll need to set a SAS Token. The option is a:java.lang.Stringtype. Group: common- Parameters:
sasToken- the value to set- Returns:
- the dsl builder
-
serviceClient
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option is a:com.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
serviceClient
Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option will be converted to acom.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option is a:java.time.Durationtype. Group: common- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option will be converted to ajava.time.Durationtype. Group: common- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
deleteAfterRead
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder deleteAfterRead(boolean deleteAfterRead) Delete blobs from Azure after they have been retrieved. The delete is only performed if the Exchange is committed. If a rollback occurs, the blob is not deleted. If this option is false, then the same blobs will be retrieved over and over again in the polls. Therefore, you need to use the Idempotent Consumer EIP in the route to filter out duplicates. You can filter using the BlobConstants#BLOB_NAME header, or only the blob name. The option is a:booleantype. Default: false Group: consumer- Parameters:
deleteAfterRead- the value to set- Returns:
- the dsl builder
-
deleteAfterRead
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder deleteAfterRead(String deleteAfterRead) Delete blobs from Azure after they have been retrieved. The delete is only performed if the Exchange is committed. If a rollback occurs, the blob is not deleted. If this option is false, then the same blobs will be retrieved over and over again in the polls. Therefore, you need to use the Idempotent Consumer EIP in the route to filter out duplicates. You can filter using the BlobConstants#BLOB_NAME header, or only the blob name. The option will be converted to abooleantype. Default: false Group: consumer- Parameters:
deleteAfterRead- the value to set- Returns:
- the dsl builder
-
destinationBlobPrefix
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder destinationBlobPrefix(String destinationBlobPrefix) Define the destination blob prefix to use when a blob must be moved, and moveAfterRead is set to true. The option is a:java.lang.Stringtype. Group: consumer- Parameters:
destinationBlobPrefix- the value to set- Returns:
- the dsl builder
-
destinationBlobSuffix
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder destinationBlobSuffix(String destinationBlobSuffix) Define the destination blob suffix to use when a blob must be moved, and moveAfterRead is set to true. The option is a:java.lang.Stringtype. Group: consumer- Parameters:
destinationBlobSuffix- the value to set- Returns:
- the dsl builder
-
destinationContainer
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder destinationContainer(String destinationContainer) Define the destination container where a blob must be moved when moveAfterRead is set to true. The option is a:java.lang.Stringtype. Group: consumer- Parameters:
destinationContainer- the value to set- Returns:
- the dsl builder
-
moveAfterRead
Move blobs from the container to a different container after they have been retrieved. To accomplish the operation, the destinationContainer option must be set. The copy blob operation is only performed if the Exchange is committed. If a rollback occurs, the blob is not moved. The option is a:booleantype. Default: false Group: consumer- Parameters:
moveAfterRead- the value to set- Returns:
- the dsl builder
-
moveAfterRead
Move blobs from the container to a different container after they have been retrieved. To accomplish the operation, the destinationContainer option must be set. The copy blob operation is only performed if the Exchange is committed. If a rollback occurs, the blob is not moved. The option will be converted to abooleantype. Default: false Group: consumer- Parameters:
moveAfterRead- the value to set- Returns:
- the dsl builder
-
removePrefixOnMove
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder removePrefixOnMove(boolean removePrefixOnMove) Remove the contents of the prefix configuration string from the new blob name before moving. For example, if prefix is set to 'notify/' and the destinationBlobPrefix is set to 'archive/', a blob with a name of 'notify/example.txt' will be moved to 'archive/example.txt', rather than the default behavior where the new name is 'archive/notify/example.txt'. Only applicable when moveAfterRead is true. The option is a:booleantype. Default: false Group: consumer- Parameters:
removePrefixOnMove- the value to set- Returns:
- the dsl builder
-
removePrefixOnMove
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder removePrefixOnMove(String removePrefixOnMove) Remove the contents of the prefix configuration string from the new blob name before moving. For example, if prefix is set to 'notify/' and the destinationBlobPrefix is set to 'archive/', a blob with a name of 'notify/example.txt' will be moved to 'archive/example.txt', rather than the default behavior where the new name is 'archive/notify/example.txt'. Only applicable when moveAfterRead is true. The option will be converted to abooleantype. Default: false Group: consumer- Parameters:
removePrefixOnMove- the value to set- Returns:
- the dsl builder
-
sendEmptyMessageWhenIdle
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder sendEmptyMessageWhenIdle(boolean sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead. The option is a:booleantype. Default: false Group: consumer- Parameters:
sendEmptyMessageWhenIdle- the value to set- Returns:
- the dsl builder
-
sendEmptyMessageWhenIdle
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder sendEmptyMessageWhenIdle(String sendEmptyMessageWhenIdle) If the polling consumer did not poll any files, you can enable this option to send an empty message (no body) instead. The option will be converted to abooleantype. Default: false Group: consumer- Parameters:
sendEmptyMessageWhenIdle- the value to set- Returns:
- the dsl builder
-
backoffErrorThreshold
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffErrorThreshold(int backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in. The option is a:inttype. Group: scheduler- Parameters:
backoffErrorThreshold- the value to set- Returns:
- the dsl builder
-
backoffErrorThreshold
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffErrorThreshold(String backoffErrorThreshold) The number of subsequent error polls (failed due some error) that should happen before the backoffMultipler should kick-in. The option will be converted to ainttype. Group: scheduler- Parameters:
backoffErrorThreshold- the value to set- Returns:
- the dsl builder
-
backoffIdleThreshold
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffIdleThreshold(int backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in. The option is a:inttype. Group: scheduler- Parameters:
backoffIdleThreshold- the value to set- Returns:
- the dsl builder
-
backoffIdleThreshold
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffIdleThreshold(String backoffIdleThreshold) The number of subsequent idle polls that should happen before the backoffMultipler should kick-in. The option will be converted to ainttype. Group: scheduler- Parameters:
backoffIdleThreshold- the value to set- Returns:
- the dsl builder
-
backoffMultiplier
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffMultiplier(int backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row. The multiplier is then the number of polls that will be skipped before the next actual attempt is happening again. When this option is in use then backoffIdleThreshold and/or backoffErrorThreshold must also be configured. The option is a:inttype. Group: scheduler- Parameters:
backoffMultiplier- the value to set- Returns:
- the dsl builder
-
backoffMultiplier
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffMultiplier(String backoffMultiplier) To let the scheduled polling consumer backoff if there has been a number of subsequent idles/errors in a row. The multiplier is then the number of polls that will be skipped before the next actual attempt is happening again. When this option is in use then backoffIdleThreshold and/or backoffErrorThreshold must also be configured. The option will be converted to ainttype. Group: scheduler- Parameters:
backoffMultiplier- the value to set- Returns:
- the dsl builder
-
delay
Milliseconds before the next poll. The option is a:longtype. Default: 500 Group: scheduler- Parameters:
delay- the value to set- Returns:
- the dsl builder
-
delay
Milliseconds before the next poll. The option will be converted to alongtype. Default: 500 Group: scheduler- Parameters:
delay- the value to set- Returns:
- the dsl builder
-
greedy
If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages. The option is a:booleantype. Default: false Group: scheduler- Parameters:
greedy- the value to set- Returns:
- the dsl builder
-
greedy
If greedy is enabled, then the ScheduledPollConsumer will run immediately again, if the previous run polled 1 or more messages. The option will be converted to abooleantype. Default: false Group: scheduler- Parameters:
greedy- the value to set- Returns:
- the dsl builder
-
initialDelay
Milliseconds before the first poll starts. The option is a:longtype. Default: 1000 Group: scheduler- Parameters:
initialDelay- the value to set- Returns:
- the dsl builder
-
initialDelay
Milliseconds before the first poll starts. The option will be converted to alongtype. Default: 1000 Group: scheduler- Parameters:
initialDelay- the value to set- Returns:
- the dsl builder
-
repeatCount
Specifies a maximum limit of number of fires. So if you set it to 1, the scheduler will only fire once. If you set it to 5, it will only fire five times. A value of zero or negative means fire forever. The option is a:longtype. Default: 0 Group: scheduler- Parameters:
repeatCount- the value to set- Returns:
- the dsl builder
-
repeatCount
Specifies a maximum limit of number of fires. So if you set it to 1, the scheduler will only fire once. If you set it to 5, it will only fire five times. A value of zero or negative means fire forever. The option will be converted to alongtype. Default: 0 Group: scheduler- Parameters:
repeatCount- the value to set- Returns:
- the dsl builder
-
runLoggingLevel
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder runLoggingLevel(org.apache.camel.LoggingLevel runLoggingLevel) The consumer logs a start/complete log line when it polls. This option allows you to configure the logging level for that. The option is a:org.apache.camel.LoggingLeveltype. Default: TRACE Group: scheduler- Parameters:
runLoggingLevel- the value to set- Returns:
- the dsl builder
-
runLoggingLevel
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder runLoggingLevel(String runLoggingLevel) The consumer logs a start/complete log line when it polls. This option allows you to configure the logging level for that. The option will be converted to aorg.apache.camel.LoggingLeveltype. Default: TRACE Group: scheduler- Parameters:
runLoggingLevel- the value to set- Returns:
- the dsl builder
-
scheduledExecutorService
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduledExecutorService(ScheduledExecutorService scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer. By default each consumer has its own single threaded thread pool. The option is a:java.util.concurrent.ScheduledExecutorServicetype. Group: scheduler- Parameters:
scheduledExecutorService- the value to set- Returns:
- the dsl builder
-
scheduledExecutorService
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduledExecutorService(String scheduledExecutorService) Allows for configuring a custom/shared thread pool to use for the consumer. By default each consumer has its own single threaded thread pool. The option will be converted to ajava.util.concurrent.ScheduledExecutorServicetype. Group: scheduler- Parameters:
scheduledExecutorService- the value to set- Returns:
- the dsl builder
-
scheduler
To use a cron scheduler from either camel-spring or camel-quartz component. Use value spring or quartz for built in scheduler. The option is a:java.lang.Objecttype. Default: none Group: scheduler- Parameters:
scheduler- the value to set- Returns:
- the dsl builder
-
scheduler
To use a cron scheduler from either camel-spring or camel-quartz component. Use value spring or quartz for built in scheduler. The option will be converted to ajava.lang.Objecttype. Default: none Group: scheduler- Parameters:
scheduler- the value to set- Returns:
- the dsl builder
-
schedulerProperties
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder schedulerProperties(String key, Object value) To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler. This is a multi-value option with prefix: scheduler. The option is a:java.util.Map<java.lang.String, java.lang.Object>type. The option is multivalued, and you can use the schedulerProperties(String, Object) method to add a value (call the method multiple times to set more values). Group: scheduler- Parameters:
key- the option keyvalue- the option value- Returns:
- the dsl builder
-
schedulerProperties
To configure additional properties when using a custom scheduler or any of the Quartz, Spring based scheduler. This is a multi-value option with prefix: scheduler. The option is a:java.util.Map<java.lang.String, java.lang.Object>type. The option is multivalued, and you can use the schedulerProperties(String, Object) method to add a value (call the method multiple times to set more values). Group: scheduler- Parameters:
values- the values- Returns:
- the dsl builder
-
startScheduler
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder startScheduler(boolean startScheduler) Whether the scheduler should be auto started. The option is a:booleantype. Default: true Group: scheduler- Parameters:
startScheduler- the value to set- Returns:
- the dsl builder
-
startScheduler
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder startScheduler(String startScheduler) Whether the scheduler should be auto started. The option will be converted to abooleantype. Default: true Group: scheduler- Parameters:
startScheduler- the value to set- Returns:
- the dsl builder
-
timeUnit
Time unit for initialDelay and delay options. The option is a:java.util.concurrent.TimeUnittype. Default: MILLISECONDS Group: scheduler- Parameters:
timeUnit- the value to set- Returns:
- the dsl builder
-
timeUnit
Time unit for initialDelay and delay options. The option will be converted to ajava.util.concurrent.TimeUnittype. Default: MILLISECONDS Group: scheduler- Parameters:
timeUnit- the value to set- Returns:
- the dsl builder
-
useFixedDelay
Controls if fixed delay or fixed rate is used. See ScheduledExecutorService in JDK for details. The option is a:booleantype. Default: true Group: scheduler- Parameters:
useFixedDelay- the value to set- Returns:
- the dsl builder
-
useFixedDelay
Controls if fixed delay or fixed rate is used. See ScheduledExecutorService in JDK for details. The option will be converted to abooleantype. Default: true Group: scheduler- Parameters:
useFixedDelay- the value to set- Returns:
- the dsl builder
-
accessKey
Access key for the associated azure account name to be used for authentication with azure blob services. The option is a:java.lang.Stringtype. Group: security- Parameters:
accessKey- the value to set- Returns:
- the dsl builder
-
azureClientId
Azure Client ID for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureClientId- the value to set- Returns:
- the dsl builder
-
azureClientSecret
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder azureClientSecret(String azureClientSecret) Azure Client Secret for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureClientSecret- the value to set- Returns:
- the dsl builder
-
azureTenantId
Azure Tenant ID for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureTenantId- the value to set- Returns:
- the dsl builder
-
sourceBlobAccessKey
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key. The option is a:java.lang.Stringtype. Group: security- Parameters:
sourceBlobAccessKey- the value to set- Returns:
- the dsl builder
-